Question

54
Views
Prabhu Subramani (Prabhu Subramani)
Virtusa
Lead Consultant
Virtusa
AU
Prabhu Subramani Member since 2017 12 posts
Virtusa
Posted: November 23, 2020
Last activity: November 24, 2020
Posted: 23 Nov 2020 20:29 EST
Last activity: 24 Nov 2020 0:20 EST

Pega Mashup Frame-Ancestors self error

Hi All, 

we have recently upgraded our dev env to 8.5 from 8.2. we are facing issue in Pega Mashup in the upgrade environment. getting the below error though application content policy set to pxDefaultAllowAll(which has frame-ancestors allow-all option selected along with self option, also tried creating new content security with only allow-all option,but that is also not working). attached screenshots for the same.

Error:

Refused to frame 'https://yyyy.com/' because an ancestor violates the following Content Security Policy directive: "frame-ancestors 'self'".

Same settings working in 8.2 

Please help me to fix this if anyone come across this issue. 

Thanks,

Prabhu

***Edited by Moderator: Pooja Gadige to update platform capability tag***
Pega Platform Conversational Channels User Experience Financial Services